org.apache.xmlbeans.impl.xb.xmlschema

## Interface BaseAttribute

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  BaseAttributeImpl

    public interface BaseAttribute
    extends XmlObject

A document containing one base(@http://www.w3.org/XML/1998/namespace) attribute. This is a complex type.

### Field Summary

Fields
`static DocumentFactory<BaseAttribute>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getBase()` Gets the "base" attribute
`boolean` `isSetBase()` True if has "base" attribute
`void` `setBase(String base)` Sets the "base" attribute
`void` `unsetBase()` Unsets the "base" attribute
`XmlAnyURI` `xgetBase()` Gets (as xml) the "base" attribute
`void` `xsetBase(XmlAnyURI base)` Sets (as xml) the "base" attribute

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<BaseAttribute> Factory

#### type

    static final SchemaType type

### Method Detail

#### getBase

    String getBase()

Gets the "base" attribute

#### xgetBase

    XmlAnyURI xgetBase()

Gets (as xml) the "base" attribute

#### isSetBase

    boolean isSetBase()

True if has "base" attribute

#### setBase

    void setBase(String base)

Sets the "base" attribute

#### xsetBase

    void xsetBase(XmlAnyURI base)

Sets (as xml) the "base" attribute

#### unsetBase

    void unsetBase()

Unsets the "base" attribute